import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { Rect } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core";
import { Polygon } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BollingerBandsOverlay extends FinancialOverlay {
    static $t: Type;
    constructor();
    r1: number;
    r0: number;
    protected kp(a: any, b: string, c: any, d: any): void;
    private ry;
    private rz;
    protected rr(): boolean;
    ao(a: Axis): AxisRange;
    rw: List$1<number>;
    rx: List$1<number>;
    q7(a: CategoryFrame, b: FinancialSeriesView): void;
    jl(a: boolean, b: SeriesView): void;
    fh(a: Point, b: boolean, c: boolean): number;
    gf(a: Point, b: boolean): number;
    gd(a: Point, b: boolean): number;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    q9(a: CategoryFrame, b: FinancialSeriesView): void;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    private rv;
    protected qg(): number;
    fa(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BollingerBandsBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: BollingerBandsOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class BollingerBandsOverlayView extends FinancialSeriesView {
    static $t: Type;
    b3: BollingerBandsOverlay;
    constructor(a: BollingerBandsOverlay);
    as(): void;
    protected by(): FinancialBucketCalculator;
    b5(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number, f: (arg1: number) => number): void;
    b4(): void;
    readonly b7: Polygon;
    readonly cc: Polyline;
    readonly cd: Polyline;
    readonly ce: Polyline;
    private b8;
    private cf;
    private cg;
    private ch;
    private b6;
    private b9;
    private ca;
    private cb;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
